<template>
  <nav id="nav" class="navbar navbar-expand-lg navbar-light back">
    <div class="container-fluid">
      <button
        class="burger-btn navbar-toggler"
        data-bs-toggle="collapse"
        data-bs-target="#navbarTogglerDemo01"
        aria-controls="navbarTogglerDemo01"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
        <div class="emptydiv">
          <ul class="ul-menu">
            <li>
              <router-link to="#" class="prof-menu-link">Logo</router-link>
            </li>
            <li>
              <router-link to="#" class="prof-menu-link"
                >Discussion</router-link
              >
            </li>
            <li>
              <router-link to="#" class="prof-menu-link">News</router-link>
            </li>
            <li>
              <router-link to="#" class="prof-menu-link">Movies</router-link>
            </li>
            <li>
              <router-link to="#" class="prof-menu-link">Books</router-link>
            </li>
            <li>
              <router-link to="#" class="prof-menu-link">Watch</router-link>
            </li>
          </ul>
        </div>
        <div class="Search-Head">
          <!-- <div class="lang">
            <div class="cate"><span>English</span></div>
            <div class="cate"><span>Russian</span></div>
            <div class="cate"><span>Serials</span></div>
          </div> -->
          <div class="hsearch">
            <div class="search-inp">
              <input type="text" class="search" placeholder="Search" />
            </div>
            <div class="search-btn">
              <img src="@/assets/profile/hsearch.svg" />
            </div>
          </div>
        </div>
        <div class="prof-opt">
          <div class="h-btn" @click="openBox2">
            <span>EN</span>
          </div>
          <div class="h-btn" @click="openBox1">
            <img src="@/assets/profile/bell.svg" />
          </div>
          <a href="#" class="profile-link">
            <div class="profile-btn">
              <img src="@/assets/mobMenu/user.png" class="profAvatar" />
              <span>{{ userName }}</span>
            </div>
          </a>
        </div>
      </div>
    </div>
  </nav>
</template>
<script>
export default {
  data() {
    return {
      userName: this.$store.state.ProfData.name,
    };
  },
  methods: {
    openBox1() {
      this.$store.state.profSettings = false;
      this.$store.state.profNotify = !this.$store.state.profNotify;
    },
    openBox2() {
      this.$store.state.profNotify = false;
      this.$store.state.profSettings = !this.$store.state.profSettings;
    },
  },
};
</script>
<style scoped lang="scss">
%btn {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  width: 3vw;
  min-width: 55px;
  height: 42px;
  cursor: pointer;
  img {
    width: 25px;
    height: 25px;
  }
  &:hover {
    background: rgb(0, 183, 255);
  }
  // &:hover {
  //   background-color: rgb(221, 221, 221);
  // }
}

#nav {
  height: 50px;
  // background-color: rgb(20, 20, 20);
  // border-radius: 14px;

  .burger-btn {
    border: none;
    color: transparent;
    font-size: 18px;
  }
  .collapse {
    justify-content: space-between;
    padding: 0 2vw;
    .emptydiv {
      .ul-menu {
        display: flex;
        padding-left: 0;
        margin-bottom: 0;
        li {
          display: flex;
          align-items: center;
          list-style: none;
          height: 45px;
          border-radius: 7px;
          cursor: pointer;
          margin-right: 2vw;
          // margin: 6px 6px;
          a {
            color: rgb(25, 170, 250);
            font-weight: 600;
            font-size: 1.5rem;
            outline: none;
            // &:hover {
            //   color: rgb(25, 170, 250);
            // }
          }
        }
        .prof-menu-link {
          text-decoration: none;
        }
      }
    }
    .Search-Head {
      height: 50px;
      border-radius: 12px 12px 0 0;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0 1vw;
      // margin-bottom: 1vh;
      .lang {
        display: flex;
        .cate {
          //   @extend %btn;
          cursor: pointer;
          margin-right: 30px;
          span {
            font-size: 1.2rem;
            font-weight: 600;
            color: rgb(0, 183, 255);
          }
        }
      }
      .hsearch {
        display: flex;
        align-items: center;
        .search-inp {
          width: 250px;
          input {
            height: 36px;
            border: none;
            border-radius: 0;
            background: transparent;
            border-bottom: 2px solid rgb(0, 183, 255);
            color: rgb(0, 183, 255);
          }
        }
        .search-btn {
          @extend %btn;
          margin-left: 10px;
        }
      }
    }
    .prof-opt {
      display: flex;
      align-items: center;
      justify-content: flex-end;
      .h-btn {
        @extend %btn;
        span {
          color: rgb(0, 183, 255);
          font-weight: 600;
        }
      }
      .profile-link {
        outline: none;
        text-decoration: none;
        margin: 0 3px;
        .profile-btn {
          display: flex;
          align-items: center;
          justify-content: space-between;
          border-radius: 35px;
          padding-right: 10px;
          min-width: 110px;
          &:hover {
            background: rgb(0, 183, 255);
          }
          // &:hover {
          //   background-color: rgb(231, 231, 231);
          // }
          .profAvatar {
            background-color: white;
            width: 35px;
            height: 34px;
            border-radius: 100%;
          }
          span {
            font-size: 18px;
            font-weight: 600;
            color: rgb(0, 183, 255);
          }
        }
      }
    }
  }
}
</style>